Retrieve M2M token info

Retrieves information about a Machine-to-Machine (M2M) token.

POST
/service/oauth/introspect

Retrieves information about a Machine-to-Machine (M2M) token.

apikey<token>

Tenant API Key for authentication

In: query

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://TenantName.hub.loginradius.com/service/oauth/introspect" \  -H "Content-Type: application/json" \  -d '{    "client_id": "68106262-3938-4435-87ed-3e410b360209",    "client_secret": "AQvsBHrjOYFNJdvndATLBPoavRZUp1fj4656",    "token": "3976a9391e31d3c1cf854c83f9f65078:90f...",    "token_type_hint": "access_token"  }'
{
  "active": true,
  "aud": [
    "https://{TenantEndpoint}/identity/v2/manage"
  ],
  "cid": "ddff8a63-cbc3-4723-8415-b910c4d8770d",
  "exp": 1745988311,
  "gty": "client_credentials",
  "iat": 1745981111,
  "iss": "https://{TenantEndpoint}/",
  "jti": "e20a1ae9-880a-4829-88ff-690141d958b5",
  "nbf": 1745981111,
  "scp": [
    "all"
  ],
  "sub": "699f40ae-8040-42fe-a1cd-e1eb10cf73ef@client"
}

{
  "error": "invalid_request",
  "error_description": "The client_id is a required parameter."
}

{
  "error": "invalid_client",
  "error_description": "The client_id is not valid, check your client_id again."
}

{
  "error": "unauthorized_client",
  "error_description": "The client_secret is not valid, check your client_secret again."
}